Bug 1645168 - [RFE] [Edit Migration Plan] Allow changing the associated infrastructure mapping
Summary: [RFE] [Edit Migration Plan] Allow changing the associated infrastructure mapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-01 14:20 UTC by Mike Turley
Modified: 2019-02-07 23:04 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:56 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.png (94.14 KB, image/png)
2018-11-09 11:43 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:01 UTC

Description Mike Turley 2018-11-01 14:20:24 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Mike Turley 2018-11-01 14:21:14 UTC
GH PR: https://github.com/ManageIQ/manageiq-v2v/pull/757

Comment 3 CFME Bot 2018-11-02 14:22:40 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/db74305378aac0eedd58d8e95bf1295874425cb4
commit db74305378aac0eedd58d8e95bf1295874425cb4
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Fri Nov  2 08:23:29 2018 -0400
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Fri Nov  2 08:23:29 2018 -0400

    Merge pull request #757 from mturley/edit-plan-change-mapping

    [Edit Migration Plan] Allow changing the associated infrastructure mapping

    (cherry picked from commit bb6a0ce2bf27d057a5aa84d68770bbc3345e6f13)

    https://bugzilla.redhat.com/show_bug.cgi?id=1645168

 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/PlanWizardAdvancedOptionsStep.js | 3 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/index.js | 20 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardGeneralStep/PlanWizardGeneralStep.js | 6 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardInstancePropertiesStep/PlanWizardInstancePropertiesStep.js | 12 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardInstancePropertiesStep/index.js | 3 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardVMStep/PlanWizardVMStep.js | 21 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardVMStep/index.js | 21 +-
 7 files changed, 55 insertions(+), 31 deletions(-)

Comment 4 CFME Bot 2018-11-02 14:22:53 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/db74305378aac0eedd58d8e95bf1295874425cb4
commit db74305378aac0eedd58d8e95bf1295874425cb4
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Fri Nov  2 08:23:29 2018 -0400
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Fri Nov  2 08:23:29 2018 -0400

    Merge pull request #757 from mturley/edit-plan-change-mapping

    [Edit Migration Plan] Allow changing the associated infrastructure mapping

    (cherry picked from commit bb6a0ce2bf27d057a5aa84d68770bbc3345e6f13)

    https://bugzilla.redhat.com/show_bug.cgi?id=1645168

 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/PlanWizardAdvancedOptionsStep.js | 3 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/index.js | 20 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardGeneralStep/PlanWizardGeneralStep.js | 6 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardInstancePropertiesStep/PlanWizardInstancePropertiesStep.js | 12 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardInstancePropertiesStep/index.js | 3 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardVMStep/PlanWizardVMStep.js | 21 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardVMStep/index.js | 21 +-
 7 files changed, 55 insertions(+), 31 deletions(-)

Comment 5 Yadnyawalk Tale 2018-11-09 11:43:36 UTC
Created attachment 1503599 [details]
fixed_proof.png

Fixed! I can edit and changed associated infrastructure mapping.
Verified on - 

```
    Version 5.10.0.23.20181106165157_92dd189
    Server Name EVM
    User Name Administrator
    User Role EvmRole-super_administrator
    Browser Firefox
    Browser Version 57
    Browser OS Linux

```

Thanks!

Comment 6 errata-xmlrpc 2019-02-07 23:03:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.